KDE 4.9 PyKDE API Reference

- KDE's Python API

# TextHintInterface Class Reference

`from PyKDE4.ktexteditor import *`

Namespace: KTextEditor

## Detailed Description

This is an interface for the KTextEditor.View class.

## Methods
| __init__ (self)
| disableTextHints (self)
| enableTextHints (self, int timeout)
| needTextHint (self, KTextEditor.Cursor position, QString text)

## Method Documentation

__init__ | ( |  | self ) |

disableTextHints | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Disable texthints. Per default they are disabled.

enableTextHints | ( | self, |
|  | int | timeout
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

enable Texthints. If they are enabled a signal needTextHint is emitted, if the mouse changed the position and a new character is beneath the mouse cursor. The signal is delayed for a certain time, specifiedin the timeout parameter.

needTextHint | ( | self, |
|  | KTextEditor.Cursor | position,
|  | QString | text
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

emit this signal, if a tooltip text is needed for displaying. I you don't want a tooltip to be displayd set text to an emtpy string in a connected slot, otherwise set text to the string you want the editor to display